GFFUTILS-CLI(1)

NAME
gffutils-cli - Command line interface for python-gffutils.

DESCRIPTION
usage: gffutils-cli [-h]

    {fetch,children,parents,region,create,common,clean,search,sanitize,rmdups} ...

  positional arguments:

    {fetch,children,parents,region,create,common,clean,search,sanitize,rmdups}

fetch
    Fetch IDs.

children
    Fetch children from the database according to ID.

parents
    Fetch parents from the database according to ID.

region
    Returns features within provided genomic coordinates.

create
    Create a database.

common
    Identify child features in common (e.g., common exons across multiple isoforms)

clean
    Perform various QC operations to clean a GFF or GTF file.

search
    Search the attributes.

sanitize
    Sanitize a GFF file. Might get merged with clean feature later. Cleans and adds useful annotations to a GFF file: - Ensures that start > end in all entries - Adds an entry id (eid) to each entry to make files grep-able Outputs result to stdout unless asked to sanitize in place.

rmdups
    Remove duplicates from a GFF file.

  options:

-h, --help
    show this help message and exit